## List History **get** `/invoices/{id}/history` Gets the version history of an invoice ### Path Parameters - `id: string` Invoice ID ### Returns - `data: array of Invoice` - `id: string` Unique identifier for the invoice - `created: string` ISO 8601 timestamp when the invoice was created - `status: "active"` Deprecated: The status of the invoice - `"active"` - `tags: array of object { key, value }` Metadata tags for this invoice - `key: string` Tag key - `value: string` Tag value - `version: number` The current version of the invoice. Pass this value when updating to ensure thread safety. - `workspace_id: string` Workspace ID this invoice belongs to - `line_items: optional array of object { id, amount, currency_code, 6 more }` List of line items associated with this invoice - `id: string` Unique identifier for the line item - `amount: string` Deprecated: use price.amount instead. Total amount in smallest currency unit (represented as string for bigint) - `currency_code: "ADA" or "BTC" or "DAI" or 176 more` Currency code (ISO 4217 or crypto) - `"ADA"` - `"BTC"` - `"DAI"` - `"ETH"` - `"SOL"` - `"USDC"` - `"USDT"` - `"USDG"` - `"EURC"` - `"CADC"` - `"CADT"` - `"XLM"` - `"UNI"` - `"BCH"` - `"LTC"` - `"AAVE"` - `"LINK"` - `"MATIC"` - `"PTS"` - `"AED"` - `"AFN"` - `"ALL"` - `"AMD"` - `"ANG"` - `"AOA"` - `"ARS"` - `"AUD"` - `"AWG"` - `"AZN"` - `"BAM"` - `"BBD"` - `"BDT"` - `"BGN"` - `"BHD"` - `"BIF"` - `"BMD"` - `"BND"` - `"BOB"` - `"BRL"` - `"BSD"` - `"BTN"` - `"BWP"` - `"BYR"` - `"BZD"` - `"CAD"` - `"CDF"` - `"CHF"` - `"CLP"` - `"CNY"` - `"COP"` - `"CRC"` - `"CUC"` - `"CUP"` - `"CVE"` - `"CZK"` - `"DJF"` - `"DKK"` - `"DOP"` - `"DZD"` - `"EGP"` - `"ERN"` - `"ETB"` - `"EUR"` - `"FJD"` - `"FKP"` - `"GBP"` - `"GEL"` - `"GGP"` - `"GHS"` - `"GIP"` - `"GMD"` - `"GNF"` - `"GTQ"` - `"GYD"` - `"HKD"` - `"HNL"` - `"HRK"` - `"HTG"` - `"HUF"` - `"IDR"` - `"ILS"` - `"IMP"` - `"INR"` - `"IQD"` - `"IRR"` - `"ISK"` - `"JMD"` - `"JOD"` - `"JPY"` - `"KES"` - `"KGS"` - `"KHR"` - `"KMF"` - `"KPW"` - `"KRW"` - `"KWD"` - `"KYD"` - `"KZT"` - `"LAK"` - `"LBP"` - `"LKR"` - `"LRD"` - `"LSL"` - `"LYD"` - `"MAD"` - `"MDL"` - `"MGA"` - `"MKD"` - `"MMK"` - `"MNT"` - `"MOP"` - `"MUR"` - `"MVR"` - `"MWK"` - `"MXN"` - `"MYR"` - `"MZN"` - `"NAD"` - `"NGN"` - `"NIO"` - `"NOK"` - `"NPR"` - `"NZD"` - `"OMR"` - `"PAB"` - `"PEN"` - `"PGK"` - `"PHP"` - `"PKR"` - `"PLN"` - `"PYG"` - `"QAR"` - `"RON"` - `"RSD"` - `"RUB"` - `"RWF"` - `"SAR"` - `"SBD"` - `"SCR"` - `"SDG"` - `"SEK"` - `"SGD"` - `"SHP"` - `"SLL"` - `"SOS"` - `"SPL"` - `"SRD"` - `"SVC"` - `"SYP"` - `"STN"` - `"SZL"` - `"THB"` - `"TJS"` - `"TMT"` - `"TND"` - `"TOP"` - `"TRY"` - `"TTD"` - `"TVD"` - `"TWD"` - `"TZS"` - `"UAH"` - `"UGX"` - `"USD"` - `"UYU"` - `"UZS"` - `"VEF"` - `"VND"` - `"VUV"` - `"WST"` - `"XAF"` - `"XCD"` - `"XOF"` - `"XPF"` - `"YER"` - `"ZAR"` - `"ZMW"` - `"LOGICAL"` - `"CUSTOM"` - `description: string` Description of the line item - `price: object { amount, quantity, unit_price }` Price breakdown containing amount, unit price, and quantity - `amount: string` Total amount in smallest currency unit (represented as string for bigint) - `quantity: number` Quantity of units for this line item - `unit_price: string` Unit price in smallest currency unit (represented as string for bigint) - `product_id: string` ID of the product/catalog item - `tags: array of object { key, value }` Metadata tags for this line item - `key: string` Tag key - `value: string` Tag value - `type: "payin" or "payout"` The type of the line item - `"payin"` - `"payout"` - `user_id: string` External ID of the user associated with this line item - `modified: optional string` ISO 8601 timestamp when the invoice was last modified ### Example ```http curl https://api.us-west-2.fragment.dev/invoices/$ID/history ```